<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class ImgInsumoFactory {
    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }
    
    public function insertImg($param){
        $sql="INSERT INTO FCM_IMGINSUMO (NRIMGINSUMO, NRINSUMO, DSCAMINHO, NRORG, IDATIVO, DSTYPE, NRSIZE)
              VALUES (:NRIMGINSUMO, :NRINSUMO, :DSCAMINHO, :NRORG, 'S', :DSTYPE, :NRSIZE)";
        $std = $this->connection->prepare($sql);
        $std->execute($param);
    }
}

?>